#
# Conditional build:
%bcond_without	gtk3	# use GTK+3 instead of GTK+2

Summary:	Open source clone of Asus launcher for EeePC
Summary(pl.UTF-8):	Mający otwarte źródła klon Asus launchera dla EeePC
Name:		lxlauncher
Version:	0.2.5
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	https://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.xz
# Source0-md5:	94a7a36af92f8409365b6a25b6904eeb
URL:		http://www.lxde.org/
BuildRequires:	gettext-tools
%{!?with_gtk3:BuildRequires:	gtk+2-devel >= 2:2.12.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel >= 3.0.0}
BuildRequires:	intltool >= 0.40.0
BuildRequires:	menu-cache-devel
BuildRequires:	pkgconfig
BuildRequires:	startup-notification-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
%{!?with_gtk3:Requires:	gtk+2 >= 2:2.12.0}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LXLauncher is an open source clone of Asus launcher for EeePC. It
outperformes the original launcher developed by Xandros.

%description -l pl.UTF-8
LXLauncher to mający otwarte źródła klon Asus launchera dla EeePC.
Działa lepiej niż oryginał stworzony przez firmę Xandros.

%prep
%setup -q

%build
%configure \
	%{?with_gtk3:--enable-gtk3}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# unify name
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{tt_RU,tt}
# not supported by glibc
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/frp
# just a copy of ur
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%{_sysconfdir}/xdg/lxlauncher
%{_sysconfdir}/xdg/menus/lxlauncher-applications.menu
%attr(755,root,root) %{_bindir}/lxlauncher
%{_datadir}/desktop-directories/*directory
%{_mandir}/man1/lxlauncher.1*
%changelog
* Sat Jul 27 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lxlauncher.git;a=log;h=master

* Tue Apr 23 2024 Marcin Krol <hawk@tld-linux.org> 6523c55
- build with gtk3 by default

* Fri May 05 2023 Jakub Bogusz <qboosh@pld-linux.org> 68de2c7
- updated to 0.2.5

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 39a55bb
- updated gettext BR

* Fri Sep 16 2011 lisu <lisu@pld-linux.org> 247fe9a
- there are ur and ur_PK locales in sources, keep ur and remove ur_PK

* Fri Sep 16 2011 lisu <lisu@pld-linux.org> 1dcbb40
- don't remove ur_PK and tt_RU locales

* Fri Aug 19 2011 ankry <ankry@pld-linux.org> d0e1029
- ur_PK and tt_RU are supported locale now; dirs fixed, rel. 3, STBR

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> 52ef0dc
- rebuild

* Mon Aug 15 2011 lmasko <lmasko@pld-linux.org> 76529c7
- Locale fix.

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> 8369027
- up to 0.2.2, gtk3 bcond

* Wed Feb 23 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 4a37664
- drop ur_PK locale (ur locale already exists)
- release 2

* Wed Sep 15 2010 Elan Ruusamäe <glen@pld-linux.org> b66193d
- BR: menu-cache-devel, startup-notification-devel
- workaround for broken po/Makefile

* Tue Sep 14 2010 Elan Ruusamäe <glen@pld-linux.org> f0d662d
- more precise urls

* Tue Sep 14 2010 Elan Ruusamäe <glen@pld-linux.org> 9419238
- ws cleanup

* Sun Aug 01 2010 witekfl <witekfl@pld-linux.org> f1ba9f9
- new
- added a patch from Mandriva SVN

